package com.uoc.taller.adapter.repository.models;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import java.util.Objects;
import java.util.StringJoiner;

@Entity
public class UserDBModel {
    @Id
    private String loginName;
    @Column(nullable = false, updatable = false)
    private String password;
    private String name;
    private String surname;

    public UserDBModel() {
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSurname() {
        return surname;
    }

    public void setSurname(String surname) {
        this.surname = surname;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        UserDBModel that = (UserDBModel) o;
        return getLoginName().equals(that.getLoginName());
    }

    @Override
    public int hashCode() {
        return Objects.hash(getLoginName());
    }

    @Override
    public String toString() {
        return new StringJoiner(", ", UserDBModel.class.getSimpleName() + "[", "]")
                .add("loginName='" + loginName + "'")
                .add("password='" + password + "'")
                .add("name='" + name + "'")
                .add("surname='" + surname + "'")
                .toString();
    }
}
