package com.uoc.taller.config.initialdata;

import java.util.Random;

public enum CitiesEnum {
    OVIEDO ("Oviedo"),
    LUGONES ("Lugones"),
    COLLOTO ("Colloto"),
    POLA_DE_SIERO ("Pola de Siero"),
    AVILES ("Avilés"),
    LUGO_LLANERA ("Lugo de Llanera"),
    GIJON ("Gijón"),
    LLANES ("Llanes"),
    CUDILLERO ("Cudillero"),
    LUARCA ("Luarca"),
    LASTRES ("Lastres"),
    PRAVIA ("Pravia"),
    SOTRONDIO ("Sotrondio"),
    VILLAVICIOSA ("Villaviciosa"),
    NAVIA ("Navia"),
    VEGADEO ("Vegadeo"),
    LUANCO ("Luanco"),
    POLA_DE_LENA ("Pola de Lena"),
    MIERES ("Mieres");

    private String city;

    CitiesEnum(String city) {
        this.city = city;
    }

    public String getCity() {
        return city;
    }

    public static String getRandomCity() {
        Random random = new Random();
        return values()[random.nextInt(values().length)].getCity();
    }


}
