package com.uoc.taller.config.initialdata;

import java.util.Random;

public enum ColorsEnum {
    ROJO ("Rojo"),
    AZUL ("Azul"),
    AMARILLO ("Amarillo"),
    NARANJA ("Naranja"),
    NEGRO ("Negro"),
    BLANCO("Blanco"),
    VERDE("Verde"),
    GRIS("Gris"),
    GRANATE("Granate"),
    ROSA("Rosa"),
    MORADO("Morado");


    private String colorName;

    ColorsEnum(String colorName) {
        this.colorName = colorName;
    }

    public String getColorName() {
        return colorName;
    }

    public static String getRandomColorName() {
        Random random = new Random();
        return values()[random.nextInt(values().length)].getColorName();
    }
}
