package com.uoc.taller.config.initialdata;

import java.util.Random;

public enum EmailsEnum {
    A("almunia@gmail.com"),
    B("botarate@hotmail.com"),
    C("carraca@yahoo.es"),
    D("daytona@gmail.com"),
    E("estroncio@yahoo.es"),
    F("furiatu@hotmail.com"),
    G("golf@hotmail.com"),
    H("hostalcabanes@gmail.com"),
    I("india@hotmail.com"),
    J("jacqs@yahoo.es"),
    K("kilotomates@hotmail.com"),
    L("lima45@gmail.com"),
    M("mispatos@hotmail.com");

    private String email;

    EmailsEnum(String email) {
        this.email = email;
    }

    public String getEmail() {
        return email;
    }

    public static String getRandomEmail() {
        Random random = new Random();
        return values()[random.nextInt(values().length)].getEmail();
    }
}
