package com.uoc.taller.config.initialdata;

import java.util.Random;

public enum SurnamesEnum {
    CASADO ("Casado"),
    GONZALEZ ("González"),
    RODRIGUEZ ("Rodríguez"),
    ALVAREZ ("Álvarez"),
    MENENDEZ ("Menéndez"),
    RATO("Rato"),
    TARGARYEN("Targaryen"),
    MERINO ("Merino"),
    PASTOR ("Pastor"),
    SANCHEZ ("Sánchez"),
    BARCENAS ("Bárcenas"),
    HERNANDEZ ("Hernández"),
    BERJON ("Berjón"),
    VALDES ("Valdés"),
    MARTINEZ ("Martínez"),
    ALONSO("Alonso"),
    CANSECO("Canseco"),
    ARENAS("Arenas"),
    ARCOS("Arcos"),
    LACARRA("Lacarra"),
    LATORRE("Latorre"),
    GUTIERREZ("Gutiérrez"),
    VERDU("Verdú"),
    PANIZO("Panizo");

    private String surname;

    SurnamesEnum(String surname) {
        this.surname = surname;
    }

    public String getName() {
        return surname;
    }

    public static String getRandomSurName() {
        Random random = new Random();
        return values()[random.nextInt(values().length)].getName();
    }
}
