package com.uoc.taller.domain.entity;

import java.util.Date;
import java.util.Objects;
import java.util.StringJoiner;

public abstract class Document {
    private Long id;
    private Date dateOfIssue;
    private Date expectedDate;
    private String userNif;
    private String userFiscalName;
    private String userAddress;
    private String userPostalCode;
    private String userCity;
    private String userProvince;
    private String userCountry;
    private String userTelephone;
    private String userMail;
    private String Observations;
    private Integer numberKilometers;
    private Vehicle vehicle;
    private Taller taller;

    public Document() {
    }

    public String getUserTelephone() {
        return userTelephone;
    }

    public void setUserTelephone(String userTelephone) {
        this.userTelephone = userTelephone;
    }

    public String getUserMail() {
        return userMail;
    }

    public void setUserMail(String userMail) {
        this.userMail = userMail;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getExpectedDate() {
        return expectedDate;
    }

    public void setExpectedDate(Date expectedDate) {
        this.expectedDate = expectedDate;
    }

    public String getUserFiscalName() {
        return userFiscalName;
    }

    public void setUserFiscalName(String userFiscalName) {
        this.userFiscalName = userFiscalName;
    }

   public Date getDateOfIssue() {
        return dateOfIssue;
    }

    public void setDateOfIssue(Date dateOfIssue) {
        this.dateOfIssue = dateOfIssue;
    }

    public String getUserNif() {
        return userNif;
    }

    public void setUserNif(String nif) {
        this.userNif = nif;
    }

    public String getUserAddress() {
        return userAddress;
    }

    public void setUserAddress(String address) {
        this.userAddress = address;
    }

    public String getUserPostalCode() {
        return userPostalCode;
    }

    public void setUserPostalCode(String postalCode) {
        this.userPostalCode = postalCode;
    }

    public String getUserCity() {
        return userCity;
    }

    public void setUserCity(String city) {
        this.userCity = city;
    }

    public String getUserProvince() {
        return userProvince;
    }

    public void setUserProvince(String province) {
        this.userProvince = province;
    }

    public String getUserCountry() {
        return userCountry;
    }

    public void setUserCountry(String country) {
        this.userCountry = country;
    }

    public String getObservations() {
        return Observations;
    }

    public void setObservations(String observations) {
        Observations = observations;
    }

    public Integer getNumberKilometers() {
        return numberKilometers;
    }

    public void setNumberKilometers(Integer numberKilometers) {
        this.numberKilometers = numberKilometers;
    }

    public Vehicle getVehicle() {
        return vehicle;
    }

    public void setVehicle(Vehicle vehicle) {
        this.vehicle = vehicle;
    }


    public Taller getTaller() {
        return taller;
    }

    public void setTaller(Taller taller) {
        this.taller = taller;
    }

    @Override
    public int hashCode() {
        return Objects.hash(getId());
    }


    @Override
    public String toString() {
        return new StringJoiner(", ", Document.class.getSimpleName() + "[", "]")
                .add("id=" + id)
                .add("dateOfIssue=" + dateOfIssue)
                .add("expectedDate=" + expectedDate)
                .add("userNif='" + userNif + "'")
                .add("userFiscalName='" + userFiscalName + "'")
                .add("userAddress='" + userAddress + "'")
                .add("userPostalCode='" + userPostalCode + "'")
                .add("userCity='" + userCity + "'")
                .add("userProvince='" + userProvince + "'")
                .add("userCountry='" + userCountry + "'")
                .add("userTelephone='" + userTelephone + "'")
                .add("userMail='" + userMail + "'")
                .add("Observations='" + Observations + "'")
                .add("numberKilometers=" + numberKilometers)
                .add("vehicle=" + vehicle)
                .add("taller=" + taller)
                .toString();
    }
}
