package com.uoc.taller.domain.entity;

import java.util.Random;

public enum PaymentMethod {
    CARD("Tarjeta"),
    CASH("Efectivo"),
    PAYPAL("PayPal"),
    VERSE("Verse"),
    BIZUM("Bizum"),
    TRANSFER("Transferencia");

    private String paymentMethodName;

    PaymentMethod(String paymentMethodName) {
        this.paymentMethodName = paymentMethodName;
    }

    public String getPaymentMethodName() {
        return paymentMethodName;
    }

    public static PaymentMethod getRandomPaymentMethod() {
        Random random = new Random();
        return values()[random.nextInt(values().length)];
    }
}