package com.uoc.taller.domain.entity;

import java.util.Objects;
import java.util.StringJoiner;

public class Vehicle {
    private String plate;
    private String chassisNumber;
    private String brand;
    private String model;
    private String year;
    private String color;
    private Client client;

    public Vehicle(){

    }

    public String getPlate() {
        return plate;
    }

    public void setPlate(String plate) {
        this.plate = plate;
    }

    public String getChassisNumber() {
        return chassisNumber;
    }

    public void setChassisNumber(String chassisNumber) {
        this.chassisNumber = chassisNumber;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }

    public Client getClient() {
        return client;
    }

    public void setClient(Client client) {
        this.client = client;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        Vehicle that = (Vehicle) o;
        return getPlate().equals(that.getPlate());
    }

    @Override
    public int hashCode() {
        return Objects.hash(getPlate());
    }

    @Override
    public String toString() {
        return new StringJoiner(", ", Vehicle.class.getSimpleName() + "[", "]")
                .add("plate='" + plate + "'")
                .add("chassisNumber='" + chassisNumber + "'")
                .add("brand='" + brand + "'")
                .add("model='" + model + "'")
                .add("year='" + year + "'")
                .add("color='" + color + "'")
                .toString();
    }
}
