package com.uoc.taller.domain.port;

import com.uoc.taller.domain.entity.Flow;
import com.uoc.taller.domain.entity.FlowStatus;

import java.util.List;
import java.util.Optional;

public interface FlowRepository {

    Optional<Flow> getFlow(Long id);

    List<Flow> getByStatus(FlowStatus flowStatus);

    List<Flow> getByTallerIdAndStatus(Long tallerId, FlowStatus flowStatus);

    Long persist(Flow flow);

    Flow update(Long id, Flow flow);

    List<Flow> getByPlate(String plate);
}
