package com.uoc.taller.usecase;

import com.uoc.taller.domain.entity.Client;
import com.uoc.taller.domain.port.ClientRepository;

import javax.inject.Inject;

public class CreateClient {

    private final ClientRepository clientRepository;

    @Inject
    public CreateClient(ClientRepository clientRepository) {
        this.clientRepository = clientRepository;
    }

    public Long create(Client client) {
        return clientRepository.persist(client);
    }
}
