package com.uoc.taller.usecase;

import com.uoc.taller.domain.entity.GuardTicket;
import com.uoc.taller.domain.port.GuardTicketRepository;

import javax.inject.Inject;

public class CreateGuardTicket {

    private final GuardTicketRepository guardTicketRepository;

    @Inject
    public CreateGuardTicket(GuardTicketRepository guardTicketRepository) {
        this.guardTicketRepository = guardTicketRepository;
    }

    public Long create(GuardTicket guardTicket){
        return guardTicketRepository.persist(guardTicket);
    }
}
