package com.uoc.taller.usecase;

import com.uoc.taller.domain.entity.Product;
import com.uoc.taller.domain.port.ProductRepository;

import javax.inject.Inject;

public class CreateProduct {

    private final ProductRepository productRepository;

    @Inject
    public CreateProduct(ProductRepository productRepository) {
        this.productRepository = productRepository;
    }

    public Long create(Product product){
        return productRepository.persist(product);
    }
}
