package com.uoc.taller.usecase;

import com.uoc.taller.domain.entity.Taller;
import com.uoc.taller.domain.port.TallerRepository;

import javax.inject.Inject;

public class CreateTaller {

    private final TallerRepository tallerRepository;

    @Inject
    public CreateTaller(TallerRepository tallerRepository) {
        this.tallerRepository = tallerRepository;
    }

    public Long create(Taller taller) {
        return tallerRepository.persist(taller);
    }
}
