package com.uoc.taller.usecase;

import com.uoc.taller.domain.entity.WorkOrder;
import com.uoc.taller.domain.port.WorkOrderRepository;

import javax.inject.Inject;

public class CreateWorkOrder {

    private final WorkOrderRepository workOrderRepository;

    @Inject
    public CreateWorkOrder(WorkOrderRepository workOrderRepository) {
        this.workOrderRepository = workOrderRepository;
    }

    public Long create(WorkOrder workOrder){
        return workOrderRepository.persist(workOrder);
    }
}
