package com.uoc.taller.usecase;

import com.uoc.taller.domain.entity.Taller;
import com.uoc.taller.domain.port.TallerRepository;

import javax.inject.Inject;
import java.util.List;
import java.util.Optional;

public class GetTaller {

    private final TallerRepository tallerRepository;

    @Inject
    public GetTaller(TallerRepository tallerRepository) {
        this.tallerRepository = tallerRepository;
    }

    public Optional<Taller> get(Long id){
        return tallerRepository.getTaller(id);
    }

    public List<Taller> getAll() {
        return tallerRepository.getTalleres();
    }
}
