package com.uoc.taller.usecase;

import com.uoc.taller.domain.entity.User;
import com.uoc.taller.domain.port.UserRepository;

import javax.inject.Inject;
import java.util.Optional;

public class GetUser {

    private final UserRepository userRepository;

    @Inject
    public GetUser(UserRepository userRepository) {
        this.userRepository = userRepository;
    }

    public Optional<User> get(String loginName){
        return userRepository.getUser(loginName);
    }
}
