package com.uoc.taller.usecase;

import com.uoc.taller.domain.port.OCRSolution;

import javax.inject.Inject;
import java.io.IOException;
import java.io.InputStream;

public class PlateRecognition {

    private final OCRSolution OCRSolution;

    @Inject
    public PlateRecognition(OCRSolution OCRSolution) {
        this.OCRSolution = OCRSolution;
    }

    public String recognize(InputStream image) throws IOException {
        return OCRSolution.checkPlate(image, "eu");
    }
}
