package com.uoc.taller.adapter.repository.daos;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class ClientDAOTest extends AbstractDAOTest {
    private ClientDAO clientDAO;

    @Before
    public void assigningEntityManager() {
        clientDAO = new ClientDAO();
        clientDAO.setEntityManager(em);
    }

    @Test
    public void getClientByIdNotFound() {
        Assert.assertFalse("Client found and it shouldn't", clientDAO.getClient(1L).isPresent());
    }

    @Test
    public void getAllClientsNotFound() {
        Assert.assertTrue("Clients found and it shouldn't", clientDAO.getAll().isEmpty());
    }

}
