import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { Client } from 'src/app/services/clients/client';
import { ChangeDetectionStrategy } from '@angular/core';
import { ClientService } from 'src/app/services/clients/client.service';

@Component({
  selector: 'app-client-sheet',
  templateUrl: './client-sheet.component.html',
  styleUrls: ['./client-sheet.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush
})
export class ClientSheetComponent implements OnInit {
  @Input()
  client: Client;

  @Input()
  clientList: Client[];

  @Output()
  clientEmit = new EventEmitter<Client>();

  constructor(
    private clientService: ClientService
  ) { }

  ngOnInit() {

  }

}
