import { Taller } from '../talleres/taller';
import { Vehicle } from '../vehicles/vehicle';
import { DocumentItem } from '../document-items/document-item';

export class Invoice {

  documentItems: DocumentItem[];
  id: number;
  dateOfIssue: number;
  observations: string;
  userFiscalName: string;
  userTelephone: string;  
  taller: Taller;
  vehicle: Vehicle;
  numberKilometers: string;
  userAddress: string;
  userCity: string;
  userCountry: string;
  userMail: string;
  userPostalCode: string;
  userProvince: string;
  paymentMethod: string;

  totalPrice: number;  
}