import { DocumentItem } from '../document-items/document-item';
import { Taller } from '../talleres/taller';
import { Vehicle } from '../vehicles/vehicle';

export class WorkOrder {

  documentItems: DocumentItem[];
  id: number;
  dateOfIssue: number;
  expectedDate: number;
  endValidity: number;
  observations: string;
  userFiscalName: string;
  userTelephone: string;
  taller: Taller;
  vehicle: Vehicle;
  numberKilometers: string;
  userAddress: string;
  userCity: string;
  userCountry: string;
  userMail: string;
  userPostalCode: string;
  userProvince: string;

  totalPrice: number;  
}