package com.uoc.taller.config;

import org.dozer.DozerBeanMapper;

import javax.enterprise.inject.Produces;
import java.util.Collections;

public class DozerProducer {

    private static final String DOZER_MAPPING_XML = "dozer_mapping.xml";
    private static final DozerBeanMapper dozerBeanMapper = new DozerBeanMapper(Collections.singletonList(DOZER_MAPPING_XML));

    @Produces
    public DozerBeanMapper createDozerBeanMapper() {
        return dozerBeanMapper;
    }
}
