package com.uoc.taller.config.initialdata;

import java.util.Random;

public enum AddressesEnum {
    REAL_41("Calle Real 41"),
    URIA_32("Calle Uría 32"),
    ELORZA_34("Calle General Elorza 34"),
    DIVISION_AZUL_2("Calle División Azul 2"),
    FLORIDA_11("Paseo de la Florida 11"),
    MONTE_NARANCO_123("Calle Monte Naranco 123"),
    VAZQUED_DE_MELLA_45 ("Calle Vázquez de Mella 45"),
    PASEO_LOS_ALAMOS_1("Paseo de los Álamos 1"),
    PLAZA_AMERICA_12("Plaza de América 12"),
    PLAZA_CASTILLA_4("Plaza de Castilla 4"),
    PLAZA_SAN_MIGUEL_30("Plaza de San Miguel 30"),
    JULIAN_CLAVERIA_2("Calle Julián Clavería 2"),
    LLANES_8("Calle Llanes 8"),
    TINEO_90("Calle Tineo 90"),
    AVILES_21("Calle Avilés 21"),
    LUARCA_46("Calle Luarca 46");

    private String address;

    AddressesEnum(String address) {
        this.address = address;
    }

    public String getAddress() {
        return address;
    }

    public static String getRandomAddress() {
        Random random = new Random();
        return values()[random.nextInt(values().length)].getAddress();
    }
}