package com.uoc.taller.config.initialdata;

import java.util.Random;

public enum BrandsEnum {
    YAMAHA ("Yamaha"),
    SUZUKI ("Suzuki"),
    DAELIM ("Daelim"),
    HONDA ("Honda"),
    KYMCO ("Kymco"),
    DUCATI("Ducati"),
    PIAGIO("Piagio"),
    KAWASAKI("Kawasaki"),
    RIEJU("Rieju"),
    VESPA("Vespa"),
    KTM("KTM");


    private String brandName;

    BrandsEnum(String brandName) {
        this.brandName = brandName;
    }

    public String getBrandName() {
        return brandName;
    }

    public static String getRandomBrandName() {
        Random random = new Random();
        return values()[random.nextInt(values().length)].getBrandName();
    }
}
