package com.uoc.taller.config.initialdata;

import java.util.Random;

public enum ModelsEnum {
    A ("S2 125 FI"),
    B ("Ninja 600"),
    C ("GSX-R 1000"),
    D ("RJ-400"),
    E ("Vespino"),
    F("GS-750"),
    G("Forza"),
    H("X-Max"),
    I("T-Max"),
    J("Burgman 250"),
    K("Monster 600");


    private String modelName;

    ModelsEnum(String modelName) {
        this.modelName = modelName;
    }

    private String getModelName() {
        return modelName;
    }

    public static String getRandomModelName() {
        Random random = new Random();
        return values()[random.nextInt(values().length)].getModelName();
    }
}
