package com.uoc.taller.config.initialdata;

import java.util.Random;

public enum NamesEnum {
    DAVID ("David"),
    ALBERTO ("Alberto"),
    ALVARO ("Álvaro"),
    MARIO ("Mario"),
    PABLO ("Pablo"),
    JAVIER("Javier"),
    FRANCISCO("Francisco"),
    MIGUEL("Miguel"),
    ROBERTO("Roberto"),
    RAFAEL("Rafael"),
    ANTONIO("Antonio"),
    ANA("Ana"),
    MARIA("María"),
    LUISA("Luisa"),
    JOSEFA("Josefa"),
    Alicia("Alicia"),
    ALICIA("Noelia"),
    NURIA("Nuria"),
    LAURA("Laura"),
    VANESSA("Vanessa"),
    ALMUDENA("Almudena"),
    CARMEN("Carmen"),
    LORENA("Lorena"),
    SUSANA("Susana");

    private String name;

    NamesEnum(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static String getRandomName() {
        Random random = new Random();
        return values()[random.nextInt(values().length)].getName();
    }
}
