package com.uoc.taller.config.initialdata;

import java.util.Random;

public enum TallerNamesEnum {
    A("Talleres Félix"),
    B("Talleres Oviedo"),
    C("Talleres Ramón"),
    D("Talleres Susana"),
    E("Talleres Rosalía"),
    F("Talleres Traca"),
    G("Talleres Pedalín"),
    H("Talleres Knockout"),
    I("Talleres Colloto");


    private String tallerName;

    TallerNamesEnum(String tallerName) {
        this.tallerName = tallerName;
    }

    public String getTallerName() {
        return tallerName;
    }

    public static String getRandomTallerName() {
        Random random = new Random();
        return values()[random.nextInt(values().length)].getTallerName();
    }
}
