package com.uoc.taller.domain.entity;

import java.util.Objects;
import java.util.StringJoiner;

public class DocumentItem {
    private Long id;
    private Product product;
    private Float productPrice;
    private Float taxPercentage;
    private Float discountPercentage;
    private Integer quantity;

    public DocumentItem() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Product getProduct() {
        return product;
    }

    public void setProduct(Product product) {
        this.product = product;
    }

    public Float getProductPrice() {
        return productPrice;
    }

    public void setProductPrice(Float productPrice) {
        this.productPrice = productPrice;
    }

    public Float getTaxPercentage() {
        return taxPercentage;
    }

    public void setTaxPercentage(Float taxPercentage) {
        this.taxPercentage = taxPercentage;
    }

    public Float getDiscountPercentage() {
        return discountPercentage;
    }

    public void setDiscountPercentage(Float discountPercentage) {
        this.discountPercentage = discountPercentage;
    }

    public Integer getQuantity() {
        return quantity;
    }

    public void setQuantity(Integer quantity) {
        this.quantity = quantity;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        DocumentItem that = (DocumentItem) o;
        return getId().equals(that.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hash(getId());
    }

    @Override
    public String toString() {
        return new StringJoiner(", ", DocumentItem.class.getSimpleName() + "[", "]")
                .add("id=" + id)
                .add("productPrice=" + productPrice)
                .add("taxPercentage=" + taxPercentage)
                .add("discountPercentage=" + discountPercentage)
                .add("quantity=" + quantity)
                .toString();
    }
}
