package com.uoc.taller.domain.entity;

import java.util.StringJoiner;

public class Flow {

    private Long id;
    private GuardTicket guardTicket;
    private WorkOrder workOrder;
    private Invoice invoice;

    private FlowStatus status;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public GuardTicket getGuardTicket() {
        return guardTicket;
    }

    public void setGuardTicket(GuardTicket guardTicket) {
        this.guardTicket = guardTicket;
    }

    public WorkOrder getWorkOrder() {
        return workOrder;
    }

    public void setWorkOrder(WorkOrder workOrder) {
        this.workOrder = workOrder;
    }

    public Invoice getInvoice() {
        return invoice;
    }

    public void setInvoice(Invoice invoice) {
        this.invoice = invoice;
    }

    public FlowStatus getStatus() {
        return status;
    }

    public void setStatus(FlowStatus status) {
        this.status = status;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        Flow that = (Flow) o;
        return getId().equals(that.getId());
    }

    @Override
    public String toString() {
        return new StringJoiner(", ", Flow.class.getSimpleName() + "[", "]")
                .add("id=" + id)
                .add("guardTicket=" + guardTicket)
                .add("workOrder=" + workOrder)
                .add("invoice=" + invoice)
                .add("status=" + status)
                .toString();
    }
}

