package com.uoc.taller.domain.entity;

import java.util.List;
import java.util.StringJoiner;

public class Invoice extends Document {
    private PaymentMethod paymentMethod;

    private List<DocumentItem> documentItems;

    public List<DocumentItem> getDocumentItems() {
        return documentItems;
    }

    public void setDocumentItems(List<DocumentItem> documentItems) {
        this.documentItems = documentItems;
    }

    public PaymentMethod getPaymentMethod() {
        return paymentMethod;
    }

    public void setPaymentMethod(PaymentMethod paymentMethod) {
        this.paymentMethod = paymentMethod;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        Invoice that = (Invoice) o;
        return getId().equals(that.getId());
    }

    @Override
    public String toString() {
        return new StringJoiner(", ", Invoice.class.getSimpleName() + "[", "]")
                .add(super.toString()).add("paymentMethod=" + paymentMethod)
                .toString();
    }
}
