package com.uoc.taller.domain.entity;

import java.util.Date;
import java.util.List;
import java.util.StringJoiner;

public class WorkOrder extends Document {

    private List<DocumentItem> documentItems;

    public WorkOrder() {

    }

    public List<DocumentItem> getDocumentItems() {
        return documentItems;
    }

    private Date endValidity;

    public void setDocumentItems(List<DocumentItem> documentItems) {
        this.documentItems = documentItems;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        WorkOrder workOrder = (WorkOrder) o;
        return getId().equals(workOrder.getId());
    }

    public Date getEndValidity() {
        return endValidity;
    }

    public void setEndValidity(Date endValidity) {
        this.endValidity = endValidity;
    }

    @Override
    public String toString() {
        return new StringJoiner(", ", WorkOrder.class.getSimpleName() + "[", "]")
                .add("documentItems=" + documentItems)
                .add("endValidity=" + endValidity)
                .toString();
    }
}
