package com.uoc.taller.domain.port;

import com.uoc.taller.domain.entity.Client;

import java.util.List;
import java.util.Optional;

public interface ClientRepository {
    Optional<Client> getClient(Long id);
    List<Client> getAllClients();
    Long persist(Client client);
    Client update(Long id, Client client);
}
