package com.uoc.taller.domain.port;

import com.uoc.taller.domain.entity.Invoice;

import java.util.List;
import java.util.Optional;

public interface InvoiceRepository {
    List<Invoice> getAllInvoicesByPlate(String plate);

    Optional<Invoice> getInvoice(Long id);

    Long persist(Invoice invoice);
}
