package com.uoc.taller.domain.port;

import com.uoc.taller.domain.entity.Product;

import java.util.List;
import java.util.Optional;

public interface ProductRepository {
    Optional<Product> getProduct(Long id);
    List<Product> getAllProducts();
    Long persist(Product product);

    Product update(Long id, Product product);

    List<Product> getByDesc(String desc);
}
