package com.uoc.taller.domain.port;

import java.io.File;
import java.util.Optional;

public interface ReportGenerator<T> {

    Optional<File> generatePDF(T toGenerateFrom, String fileName);
    Optional<File> generateHTMLFile(String toGenerateFrom, String fileName);
    String generateHtml(T toGenerateFrom);

}
