package com.uoc.taller.domain.port;

import com.uoc.taller.domain.entity.Taller;
import com.uoc.taller.domain.entity.Vehicle;

import java.util.List;
import java.util.Optional;

public interface TallerRepository {
    Optional<Taller> getTaller(Long id);
    Long persist(Taller taller);

    Vehicle update(Long id, Taller taller);

    List<Taller> getTalleres();
}
