package com.uoc.taller.domain.port;

import com.uoc.taller.domain.entity.Vehicle;

import java.util.List;
import java.util.Optional;

public interface VehicleRepository {
    Optional<Vehicle> getVehicle(String plate);

    List<Vehicle> getAllVehicles();

    String persist(Vehicle client);

    List<Vehicle> getByClientId(Long id);

    Vehicle update(String plate, Vehicle vehicle);
}
