package com.uoc.taller.usecase;

import com.uoc.taller.domain.entity.Flow;
import com.uoc.taller.domain.port.FlowRepository;

import javax.inject.Inject;

public class CreateFlow {

    private final FlowRepository flowRepository;

    @Inject
    public CreateFlow(FlowRepository flowRepository) {
        this.flowRepository = flowRepository;
    }

    public Long create(Flow flow) {
        return flowRepository.persist(flow);
    }
}
