package com.uoc.taller.usecase;

import com.uoc.taller.domain.entity.Vehicle;
import com.uoc.taller.domain.port.VehicleRepository;

import javax.inject.Inject;

public class CreateVehicle {

    private final VehicleRepository vehicleRepository;

    @Inject
    public CreateVehicle(VehicleRepository vehicleRepository) {
        this.vehicleRepository = vehicleRepository;
    }

    public String create(Vehicle vehicle) {
        return vehicleRepository.persist(vehicle);
    }
}
