package com.uoc.taller.usecase;

import com.uoc.taller.domain.entity.Client;
import com.uoc.taller.domain.port.ClientRepository;

import javax.inject.Inject;
import java.util.List;
import java.util.Optional;

public class GetClient {

    private final ClientRepository clientRepository;

    @Inject
    public GetClient(ClientRepository clientRepository) {
        this.clientRepository = clientRepository;
    }

    public Optional<Client> get(Long id) {
        return clientRepository.getClient(id);
    }

    public List<Client> getAll() {
        return clientRepository.getAllClients();
    }
}
