package com.uoc.taller.usecase;

import com.uoc.taller.domain.entity.Communication;
import com.uoc.taller.domain.port.EmailSender;

import javax.inject.Inject;

public class SendAuthorNotification {

    @Inject
    private GetClient getClient;
    @Inject
    private EmailSender emailSender;

    private static final String CONTACT_EMAIL = "dacg87@gmail.com";

    public boolean send(Communication communication) {
        return emailSender.sendEmail(CONTACT_EMAIL, communication.getSubject(), communication.getBody());
    }
}
