package com.uoc.taller.usecase;

import com.uoc.taller.domain.entity.Product;
import com.uoc.taller.domain.port.ProductRepository;

import javax.inject.Inject;

public class UpdateProduct {
    @Inject
    private ProductRepository productRepository;


    public Product update(Long id, Product product) {
        return productRepository.update(id, product);
    }

    public void updateAvailableStock(Product product, int quantity) {
        product.setAvailableStock(product.getAvailableStock() - quantity);
        update(product.getId(), product);
    }
}
