import {Component, Injectable} from '@angular/core';
import { AuthenticationService } from './services/users/authentication.service';
import { Router } from '@angular/router';

declare var window: any;


@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})

@Injectable()
export class AppComponent {
  logged: any;

  constructor(
    private authenticationService: AuthenticationService
  ) {
    this.setMenu();
  }

  setMenu(){
    this.authenticationService.isLogged.subscribe(logged => this.logged = logged);
    if (localStorage.getItem('currentUser') == null) {
      this.logged = false;
    } else {
      this.logged = true;
    }
  }
}
